import 'dart:async';

import 'package:flutter/services.dart';

import 'model/TrackBulider.dart';
import 'model/TrackModel.dart';

class LemniskFlutterIdentifier {
  static Future<TrackModel?> identifier(String activityName, TrackBulider properties, OtherID otherid) async {
    try {
      TrackModel identifierModel = TrackModel();
      identifierModel.activityName = activityName;
      identifierModel.properties = properties.properties;
      identifierModel.otherid = otherid.trackerId;

      return identifierModel;
    } on PlatformException {}
    return null;
  }
}
