import 'dart:async';

import 'package:flutter/services.dart';

import 'model/TrackBulider.dart';
import 'model/TrackModel.dart';

/// Provides device id information.
class LemniskFlutterScreen {
  static Future<TrackModel?> screen(String activityName, TrackBulider properties, OtherID otherid) async {
    try {
      TrackModel screenModel = TrackModel();
      screenModel.activityName = activityName;
      screenModel.properties = properties.properties;
      screenModel.otherid = otherid.trackerId;

      return screenModel;
    } on PlatformException {
      //
    }
    return null;
  }
}
